"use strict";

const fs = require('fs');
const ini = require('ini');

const configFile = process.cwd() + '/config.ini';
if (!fs.existsSync(configFile)) {
    console.trace('Config file not found. Terminating');
    process.exit(1);
}
const config = ini.parse(fs.readFileSync(configFile, 'utf-8'));

module.exports = config;
